/*
 *  Mixer.h
 *  mosievius
 *
 *  Created by Ari Lazier on Sun Mar 30 2003.
 *  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
 *
 */

#import <Cocoa/Cocoa.h>
#import <stdlib.h>
#import "RtAudio.h"
#import "RtMidi.h"

class Mixer
{
	private:
		RtAudio *io;
		bool running;
		int winSize;
		int hopSize;
		int stream;
		
	public:
		Mixer(NSMutableArray *l);
		~Mixer();
		void startAudio();
		void stopAudio();
		NSMutableArray *list;
                RtMidi *midi;
                int toggle[8];
                float control[8];
};