/*
 *  Sieve_back.h
 *  mosievius
 *
 *  Created by Ari Lazier on Sun Mar 30 2003.
 *  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
 *
 */

#import <Cocoa/Cocoa.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/stat.h>
#include "FeatMatrix.h"
#include "Extractor.h"
#include "FeatExtractor.h"
#include "MSignal.h"
#include "SoundFileIO.h"
#include "fmatrix.h"
#include "defs.h"
#include "Util.h"
#include "Pitch.h"
#include "MFCC.h"
#include "DFCC.h"
#include "System.h"
#include "MSignal.h"
#include "Spectral1.h"

#include <map>
#include <vector>

class Sieve_back
{
	private:
		int winSize, hopSize;
		long location, rows, first[128], last[128], length[128];
		SoundFileIO *sample;	
		int mode, curseg, firstseg, totalsegs, totaltemp, state, ind, label, curwin;
		int intTime, pitchTime, callTime, channel;
		float dat, diff, outTime, inTime, buf;
		fvec overlap, inwin, win, pitchwin, outwin, pitchover;
		FeatMatrix *feats;
		fvec sendwin;
		fmatrix dist;
	public:
		Sieve_back();
		~Sieve_back();
		fvec control, max, min;
		bool toggle[8];
		void extract(NSString *file, int winSize);
		void tick(float *buffer, int size, float gain);
};